import React from 'react';
import '../../css/style.css';
import App from "./App";

class Nombreventes extends React.Component {

  type = {
    ANNEE: 'year',
    MOIS: 'month',
    JOURS: 'day'
  }

  constructor(props){
    super(props);

    this.state = {
      data: [],
      type: this.type.ANNEE,
      startDate : '2015-07-01',
      endDate: '2020-06-30'
    }

    this.handleChangeType = this.handleChangeType.bind(this);
    this.handleChangeStart = this.handleChangeStart.bind(this);
    this.handleChangeEnd = this.handleChangeEnd.bind(this);
  }

  handleChangeType(event) {
    this.setState({type: event.target.value}, this.getData);
  }

  handleChangeStart(event) {
    this.setState({startDate: event.target.value}, this.getData);
  }

  handleChangeEnd(event) {
    this.setState({endDate: event.target.value}, this.getData);
  }

  getData(type, startDate, endDate){
    console.log(`https://${document.domain}:8443/nombre-ventes/${this.state.type}/${this.state.startDate}/${this.state.endDate}`)
    fetch(`https://${document.domain}:8443/nombre-ventes/${this.state.type}/${this.state.startDate}/${this.state.endDate}`)
      .then(response => {
        if (response.ok) {
          return response.json();
        } else {
          throw new Error('error');
        }
      })
      .then(data => {
        this.setState({data: data });
        console.log(data);
      })
      .catch(error => console.log("error"));
  }

  componentDidMount(){
    this.getData();
  }



  render() {
    return  (
      <div>
        <App/>
        <h1>Nombre de ventes</h1>
        <label htmlFor="type">Type : </label>
        <select id="type" value={this.state.type} onChange={this.handleChangeType}>
          <option value="year">Annee</option>
          <option value="month">Mois</option>
          <option value="day">Jour</option>
        </select>

        <label htmlFor="start">From :</label>

        <input type="date" id="start"
               value={this.state.startDate}
               min="2015-07-01" max="2020-06-30" onChange={this.handleChangeStart}/>

        <label htmlFor="end">To :</label>

        <input type="date" id="end"
               value={this.state.endDate}
               min="2015-07-01" max="2020-06-30" onChange={this.handleChangeEnd}/>
      </div>
    )
  }
}

export default Nombreventes;


